<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">iPcZoneManager Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="structiPcZoneManager.html">iPcZoneManager</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="structiPcZoneManager.html#a0de36b9d1873b1d105fd3e443e71d704">ActivateRegion</a>(iCelRegion *region, bool allow_entity_addon=true)=0</td><td><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a5d0ec17cc4948f7bdcf668fcb52b9eb1">AddRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcZoneManager.html#ab1960c75e227d97c34bfae8e382fcc4d">CreateRegion</a>(const char *name)=0</td><td><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcZoneManager.html#a80b4c297ec14ad447c9c19d3159f7608">CreateZone</a>(const char *name)=0</td><td><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a3a44d46ca155e6ab0c0179db01011bb0">DecRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcZoneManager.html#add89269f0e1af37bb297529927a69e00">EnableColliderWrappers</a>(bool en)=0</td><td><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcZoneManager.html#abd76fe51e6da72e9913d57637d71fb44">FindRegion</a>(const char *name) const =0</td><td><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcZoneManager.html#a35b712c725653574c699ba0805221e54">FindRegionContaining</a>(iCelEntity *ent)=0</td><td><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcZoneManager.html#af920920bd34f146ef01c7c5bc363b6d5">FindStartLocations</a>(iStringArray *regionnames, iStringArray *startnames)=0</td><td><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcZoneManager.html#a1852efafce826fcf486e8b4ca735253c">FindZone</a>(const char *name) const =0</td><td><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#aeebf94ff535afffc22fcbfe869b70c30">GetInterfaceMetadata</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcZoneManager.html#af0ac2ea2e53b7aa6091dde8e27a1a9f5">GetLastStartLocation</a>(iString *regionname, iString *startname)=0</td><td><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcZoneManager.html#a092e0d840b6b4998aba8f79e72c70f19">GetLastStartName</a>()=0</td><td><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcZoneManager.html#a450fe5de0441e4215a9495ee11feb2c5">GetLastStartRegionName</a>()=0</td><td><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcZoneManager.html#a58af2e1033f85ee8a57b2097a3867e47">GetLoadingMode</a>() const =0</td><td><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a74696c1b99c7161216ee26161944adfd">GetRefCount</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcZoneManager.html#a54f5a59dfcb1e030d43bc78408e1c9d6">GetRegion</a>(int idx) const =0</td><td><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcZoneManager.html#aa0acf18a8435c0f8ff1570be4f551901">GetRegionCount</a>() const =0</td><td><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcZoneManager.html#a2eb075573eb8bb1956896bcfe2b1895b">GetZone</a>(int idx) const =0</td><td><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcZoneManager.html#a5b0e1ff1c1a70fae0076b2fafbcc3fbb">GetZoneCount</a>() const =0</td><td><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a426a2763702fbbc33a213f849042284a">IncRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcZoneManager.html#ac7cdb771b534855856b251b0ccfc2512">IsColliderWrappers</a>() const =0</td><td><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcZoneManager.html#a13cbe7fc4ce7f646a7269f9a352aa064">Load</a>(iDocumentNode *node)=0</td><td><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcZoneManager.html#adeb5fcc346061217d5ed0b6c077f6036">Load</a>(const char *path, const char *file)=0</td><td><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcZoneManager.html#a26844c8000dd15fa16b00f333995906b">PointCamera</a>(const char *entity, const char *regionname, const char *startname=0)=0</td><td><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcZoneManager.html#a433048a44ab42bac6e1fd0a9ffb55d22">PointMesh</a>(const char *entity, const char *regionname, const char *startname=0)=0</td><td><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a2adc74eb0286a65f2310f221be4ddded">QueryInterface</a>(scfInterfaceID iInterfaceID, int iVersion)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcZoneManager.html#a1d52507de3b78b0d1332bbb06bd8a7f2">RemoveAllRegions</a>()=0</td><td><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcZoneManager.html#a973b3fbc9c3a9c09e3ed26d7d5539847">RemoveAllZones</a>()=0</td><td><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a0292fc77bd2b4f8ff5ff25e9540417e0">RemoveRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcZoneManager.html#a732aeeded953d977c9b0e0e96c8e701a">RemoveRegion</a>(iCelRegion *region)=0</td><td><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcZoneManager.html#a402627052fbb1de675e74218ba1fb0e8">RemoveZone</a>(iCelZone *zone)=0</td><td><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiPcZoneManager.html#a3de2d560ce11b784f3066b8547f94fdb">SetLoadingMode</a>(int mode)=0</td><td><a class="el" href="structiPcZoneManager.html">iPcZoneManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a64186fd7973d2ef0bc16013e302b6ea3">~iBase</a>()</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [protected, virtual]</code></td></tr>
</table></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
